import type { Stepper } from '..';
/**
 * Page object for the `nimble-stepper`
 */
export declare class StepperPageObject {
    protected readonly element: Stepper;
    constructor(element: Stepper);
    setStepperScrollAxisSize(size: number): Promise<void>;
    clickScrollStartButton(): Promise<void>;
    clickScrollEndButton(): Promise<void>;
    areScrollButtonsVisible(): boolean;
    getStepperViewScrollOffset(): number;
    scrollStepIntoViewByIndex(index: number): Promise<void>;
    addStep(title?: string): Promise<void>;
    removeStepByIndex(index: number): Promise<void>;
    updateStepTitle(index: number, title: string): Promise<void>;
}
